Bug 826859 - Adds javax.ejb:ejb-api to JPP dependency map
Adds javax.ejb:ejb-api to JPP dependency map
Product: Fedora
Classification: Fedora
Component: geronimo-ejb (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Spike
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-31 03:10 EDT by Lin Gao
Modified: 2013-08-15 09:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: geronimo-ejb-1.0-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-15 09:09:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
geronimo-ejb-bug-1.0.0-1.fc16.src.rpm (3.20 KB, application/x-rpm)
2012-05-31 03:10 EDT, Lin Gao
no flags Details
Patch file on geronimo-ejb spec on branch f17 (732 bytes, patch)
2012-06-07 04:37 EDT, Lin Gao
no flags Details | Diff

  None (edit)
Description Lin Gao 2012-05-31 03:10:07 EDT
Created attachment 587955 [details]

Description of problem:
 JPP dependnecy map of geronimo-ejb does not have javax.ejb:ejb-api, while it is expected to have.

Version-Release number of selected component (if applicable):

How reproducible:
 Build a java component using maven3 which has dependency:

Requires:  geronimo-ejb
in the spec file.

run: mvn-rpmbuild install command in %build section in spec file, the build will fail with compliant that no javax.ejb:ejb-api available.

Steps to Reproduce:
1. Download the attached geronimo-ejb-bug-1.0.0-1.fc16.src.rpm
2. run: koji build --scratch f17 PATH_TO_SRC_RPM
Actual results:
Build failed with message:
"The repository system is offline but the artifact javax.ejb:ejb-api:jar:3.0 is not available in the local repository"

Expected results:
Build succeed.

Additional info:

Please update geronimo-ejb to make the build pass.
Comment 1 Lin Gao 2012-06-07 04:37:30 EDT
Created attachment 590127 [details]
Patch file on geronimo-ejb spec on branch f17

Please take a look at the attached patch file for the fix.
Comment 2 Fedora End Of Life 2013-04-03 13:39:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 3 Mat Booth 2013-08-15 09:09:14 EDT
geronimo-ejb-1.0-12 is now built for rawhide:


Note You need to log in before you can comment on or make changes to this bug.